Update Share
Update a specified Share. Only unbooked, active single-use shares can be updated.
Omitted fields are unchanged. Setting a field to null restores the parent event type’s current value for that field only (for contact, null removes the contact). The parent event type is never modified.
Required scopes
shares:write
Authentication
AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token
Path parameters
uuid
Request
At least one field is required
contact
Contact URI to associate with the share. Set to null to remove the contact
name
duration
duration_options
period_type
Allowed values:
start_date
Format: YYYY-MM-DD
end_date
Format: YYYY-MM-DD
max_booking_time
min_booking_time
hide_location
location_configurations
Replaces all existing location configurations
availability_rule
Replaces the existing availability rule
Response
OK
resource
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error